Subject: [dispatch] draft-weinronk-dispatch-last-diverting-line-id and History-Info

From: [email-masked] (Dale R. Worley)
Date: Wed, 06 Apr 2016 11:28:42 -0400

After listening to the recording of the Dispatch session, my opinion is
divided.  On the one hand, it would be conceptually best if the network
asserted identity of the diverting party was attached to the diverting
party's entry in History-Info as a parameter.  But I can easily see that
as being fragile, with inconsistent support across the SIP universe.
(What exactly are the rules for scanning History-Info to determine the
entry that describes the last diverting party?)  And I see that as a
good argument for putting this datum in a special header.

(One can compare this with the P-Asserted-Identity header, which gives
the "network identity" of the caller, and in the same sense conceptually
ought to be a parameter of the From header.)

Dale